ShareActionProvider API级别小于14

有没有可能使用shareActionProvider的应用程序使用API​​小于14?

Solutions Collecting From Web of "ShareActionProvider API级别小于14"

不,你不能在ICS SDK上使用它可能使用V4支持库,请参阅此主题交叉版本ShareActionProvider支持您可以使用ActionBarSherlock来支持旧版本,请参阅此示例ShareActionProviders.java

如果有人在find要导入的库文件时遇到挫折(不是非常清楚的阅读文档):

import android.support.v7.widget.ShareActionProvider; 

有一件事我猜,给你一个线索是你正在看的文档的URL,我相信这对应于API结构:

在这里输入图像说明

对于我自己来说,这到目前为止已经适用于兼容性库相关的文档。